net.dontdrinkandroot.visualization.item.factory.edge

## Interface EdgeFactory<E>

All Known Implementing Classes:
  DefaultEdgeFactory

    public interface EdgeFactory<E>

### Method Summary

Methods
`VisualItem` `create(E edge, edu.uci.ics.jung.graph.util.EdgeType edgeType, Point2D sourcePoint, Point2D destPoint, Vector startVector, Vector endVector, Path2D path)`

### Method Detail

#### create

    VisualItem create(E edge,
                    edu.uci.ics.jung.graph.util.EdgeType edgeType,
                    Point2D sourcePoint,
                    Point2D destPoint,
                    Vector startVector,
                    Vector endVector,
                    Path2D path)